Name:           dircproxy
Version:        1.2.0
%define betaver beta2
Release:        0.8.%{betaver}%{?dist}
Summary:        IRC proxy server

Group:          Applications/Internet
License:        GPLv2+
URL:            http://dircproxy.securiweb.net/
Source0:        http://dircproxy.securiweb.net/pub/1.2/%{name}-%{version}-%{betaver}.tar.bz
Source1:        dircproxy.init
Source2:        dircproxy.sysconfig
Patch0:         dircproxy-1.2.0-blank-me-segfault.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel

%description
dircproxy is an IRC proxy server ("bouncer") designed for people
who use IRC from lots of different workstations or clients, but
wish to remain connected and see what they missed while they
were away. You connect to IRC through dircproxy, and it keeps
you connected to the server, even after you detach your client
from it. While you're detached, it logs channel and private
messages as well as important events, and when you reattach
it'll let you know what you missed.

%prep
%setup -q -n %{name}-%{version}-%{betaver}
%patch0 -p1

%build
%configure --enable-ssl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -m 0644 conf/dircproxyrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/dircproxyrc
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/dircproxy
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dircproxy
chmod +x $RPM_BUILD_ROOT%{_datadir}/dircproxy/*.{sh,pl}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "dircproxy" user
/usr/sbin/useradd -c "Detatchable IRC Proxy" \
  -s /bin/sh -r -d %{_localstatedir}/lib/%{name} dircproxy 2> /dev/null || :

%post
/sbin/chkconfig --add dircproxy

%preun
if [ "$1" = 0 ]; then
  /sbin/service dircproxy stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del dircproxy
fi

%postun
if [ "$1" -ge 1 ]; then
  /sbin/service dircproxy condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README*
%doc doc/PROTOCOL doc/RFC* doc/*SPEC
%config(noreplace) %{_sysconfdir}/dircproxyrc
%config(noreplace) %{_sysconfdir}/sysconfig/dircproxy
%dir %{_localstatedir}/lib/%{name}
%{_sysconfdir}/init.d/dircproxy
%{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/dircproxy/

%changelog
* Wed Jul 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.0-0.8.beta2
- fix license tag

* Wed Feb 13 2008 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.7.beta2
- Bump and rebuild w/gcc 4.3

* Thu Oct 04 2007 Warren Togami <wtogami@redhat.com> - 1.2.0-0.6.beta2
- Fix segfault on blank /me

* Tue Oct 10 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.5.beta2
- Update to 1.2.0-beta2

* Thu Sep 14 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.4.beta
- Correct perms on sysconfig file

* Tue Sep 05 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.3.beta
- Fix up versioning
- Clean up spec
- Run as non-root

* Wed Aug 02 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.2.beta
- Turn on ssl support, add README.ssl

* Wed Jul 05 2006 Jarod Wilson <jwilson@redhat.com> - 1.2.0-0.1.beta
- Initial Fedora Extras build
